/**
 * NamePseudonymUse.java
 *
 * File generated from the medication::NamePseudonymUse uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration NamePseudonymUse.
 *
 * 
 */

@XmlType(name = "NamePseudonymUse")
@XmlEnum
@XmlRootElement(name = "NamePseudonymUse")
public enum NamePseudonymUse {
	@XmlEnumValue("P")
	P("P"),
	@XmlEnumValue("A")
	A("A");
	
	private final String value;

    NamePseudonymUse(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static NamePseudonymUse fromValue(String v) {
        for (NamePseudonymUse c: NamePseudonymUse.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}